<?php

namespace Drupal\err_delete\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;


class ErrDeleteSettingsForm extends ConfigFormBase {

  /** 
   * Config settings.
   *
   * @var string
   */
  const SETTINGS = 'err_delete.settings';

  /** 
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'err_delete_settings_form';
  }

  /** 
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      static::SETTINGS,
    ];
  }

  /** 
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config(static::SETTINGS);

    $form['replace_delete']       = [
      '#type' => 'checkbox',
      '#title' => $this->t('Replace delete button'),
      '#default_value' => $config->get('replace_delete'),
    ]; 
    $form['replace_delete_label'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Delete button label'),
      '#default_value' => $config->get('replace_delete_label'),
    ];   
    return parent::buildForm($form, $form_state);
  }

  /** 
   * {@inheritdoc}
   * 
   * @return void
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    // Retrieve the configuration.
    $editable_config = $this->configFactory->getEditable(static::SETTINGS);
    // Set the submitted configuration setting.
    $editable_config->set('replace_delete', $form_state->getValue('replace_delete'))->set('replace_delete_label', $form_state->getValue('replace_delete_label'));
    // You can set multiple configurations at once by making
    // multiple calls to set().
    $editable_config->save();

    parent::submitForm($form, $form_state);
  }

}
